%define kdename kmp3
%define	version 1.0
%define prefix %{_prefix}
%define release 8mdk

Name: %{kdename}
Summary: MP3 audio player.
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kmp3
Group: Sound
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt kdelibs
Prefix: %{_prefix}
Exclusivearch: i386 i486 i586 i686 k6 k7

%description
K Desktop Environment player for MP3 audio files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kmp3

%build
rm -rf $RPM_BUILD_ROOT
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
export CFLAGS="$RPM_OPT_FLAGS" 
export CXXFLAGS="$RPM_OPT_FLAGS"

libtoolize --force
./configure %{_target_cpu}-mandrake-linux --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT

make KDEDIR=$KDEDIR

%install
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML kde_icondir=$RPM_BUILD_ROOT/%{_iconsdir} \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk kde_minidir=$RPM_BUILD_ROOT/%{_miconsdir} install
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/kde1-compat/share/apps/kmp3/plugins/plugMP3.so
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

#(cd $RPM_BUILD_ROOT; find usr/lib/kde1-compat/share/locale -type f -print) | perl -ne 'print "%lang($1) /$_" if m|/locale/(..)|' > %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS FAQ TODO
%{_bindir}/*
%{_libdir}/kde1-compat/share/apps/kmp3
#%{_datadir}/mimelnk/audio/*.kdelnk
%{_iconsdir}/kmp3.xpm
%{_miconsdir}/kmp3.xpm
%{_menudir}/%{name}
                          
%changelog
* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 1.0-8mdk
- removed internationnalisation and mimetype

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-7mdk
- fixed %%find_lang for Lord of the Blonds

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-6mdk
- BM
- kde1-compat

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- remove ugly file list
- added mimelnk

* Thu Apr 13 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-4mdk
- Add documentation

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-3mdk
- corrected spec file
- add menu 

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Disable rpath

* Wed Mar 22 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Upfated to 1.0
- spec corrected to the for new group

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.
- Exclusivearch i386 i486 i586 i686 k6 k7.

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.
